Update
curl --request POST \
--url https://{host}/Agent/Intelligence/Update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objectId": "<string>",
"Information": {
"endpoint": "<string>",
"expires": "2023-11-07T05:31:56Z",
"vector": "<string>",
"protocol": "<string>",
"classification": "<string>",
"code": "<string>",
"message": "<string>",
"Tag": [
{
"name": "<string>",
"value": "<string>",
"type": "<string>"
}
],
"AgentProperty": [
{
"name": "<string>"
}
]
}
}
'import requests
url = "https://{host}/Agent/Intelligence/Update"
payload = {
"objectId": "<string>",
"Information": {
"endpoint": "<string>",
"expires": "2023-11-07T05:31:56Z",
"vector": "<string>",
"protocol": "<string>",
"classification": "<string>",
"code": "<string>",
"message": "<string>",
"Tag": [
{
"name": "<string>",
"value": "<string>",
"type": "<string>"
}
],
"AgentProperty": [{ "name": "<string>" }]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
objectId: '<string>',
Information: {
endpoint: '<string>',
expires: '2023-11-07T05:31:56Z',
vector: '<string>',
protocol: '<string>',
classification: '<string>',
code: '<string>',
message: '<string>',
Tag: [{name: '<string>', value: '<string>', type: '<string>'}],
AgentProperty: [{name: '<string>'}]
}
})
};
fetch('https://{host}/Agent/Intelligence/Update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Open intelligence
Update
Allows the client to update open intelligence about an endpoint.
POST
/
Agent
/
Intelligence
/
Update
Update
Overview
Allows the client to update open intelligence about an endpoint. The intelligence information must have been created by the same agent, on the same domain to be able to be updated.Authentication
Requires a valid JWT bearer token.Notes
This endpoint uses the request schema notation described in Pattern matching.⌘I